## anjuta-token-file

anjuta-token-file

## Functions

AnjutaTokenFile * | anjuta_token_file_new ()
void | anjuta_token_file_free ()
AnjutaToken * | anjuta_token_file_load ()
gboolean | anjuta_token_file_unload ()
gboolean | anjuta_token_file_save ()
void | anjuta_token_file_move ()
gboolean | anjuta_token_file_update ()
gboolean | anjuta_token_file_get_token_location ()
gsize | anjuta_token_file_get_token_position ()
GFile * | anjuta_token_file_get_file ()
AnjutaToken * | anjuta_token_file_get_content ()
gboolean | anjuta_token_file_is_dirty ()

## Types and Values

#define | ANJUTA_TOKEN_FILE_TYPE

## Object Hierarchy

        GObject
        ╰── AnjutaTokenFile

## Description

## Functions

### anjuta_token_file_new ()

    AnjutaTokenFile *
    anjuta_token_file_new (GFile *file);

### anjuta_token_file_free ()

    void
    anjuta_token_file_free (AnjutaTokenFile *file);

### anjuta_token_file_load ()

    AnjutaToken *
    anjuta_token_file_load (AnjutaTokenFile *file,
                            GError **error);

### anjuta_token_file_unload ()

    gboolean
    anjuta_token_file_unload (AnjutaTokenFile *file);

### anjuta_token_file_save ()

    gboolean
    anjuta_token_file_save (AnjutaTokenFile *file,
                            GError **error);

### anjuta_token_file_move ()

    void
    anjuta_token_file_move (AnjutaTokenFile *file,
                            GFile *new_file);

### anjuta_token_file_update ()

    gboolean
    anjuta_token_file_update (AnjutaTokenFile *file,
                              AnjutaToken *token);

Update the file with all changed token starting from `token` . The function can return an error if the token is not in the file.

#### Parameters

file | a AnjutaTokenFile derived class object. |
token | Token to update. |

#### Returns

`TRUE` is the update is done without error.

### anjuta_token_file_get_token_location ()

    gboolean
    anjuta_token_file_get_token_location (AnjutaTokenFile *file,
                                          AnjutaTokenFileLocation *location,
                                          AnjutaToken *token);

### anjuta_token_file_get_token_position ()

    gsize
    anjuta_token_file_get_token_position (AnjutaTokenFile *file,
                                          AnjutaToken *token);

Returns the position of the token in the file. This position is a number which doesn't correspond to a line number or a character but respect the order of token in the file.

#### Parameters

file | AnjutaTokenFile object |
token | token |

#### Returns

The position of the token or 0 if the token is not in the file.

### anjuta_token_file_get_file ()

    GFile *
    anjuta_token_file_get_file (AnjutaTokenFile *file);

### anjuta_token_file_get_content ()

    AnjutaToken *
    anjuta_token_file_get_content (AnjutaTokenFile *file);

### anjuta_token_file_is_dirty ()

    gboolean
    anjuta_token_file_is_dirty (AnjutaTokenFile *file);

## Types and Values

### ANJUTA_TOKEN_FILE_TYPE

    #define ANJUTA_TOKEN_FILE_TYPE                     (anjuta_token_file_get_type ())